internal::function_body_leaf< continue_msg, Output, B > Class Template Reference

the leaf for function_body specialized for Input of continue_msg More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::function_body_leaf< continue_msg, Output, B >:
Collaboration diagram for internal::function_body_leaf< continue_msg, Output, B >:

## Public Member Functions

| function_body_leaf (const B &_body)
Output | operator() (const continue_msg &i) __TBB_override
B | get_body ()
function_body_leaf * | clone () __TBB_override
Public Member Functions inherited from internal::function_body< continue_msg, Output >
virtual | ~function_body ()

## Private Attributes

B | body

## Detailed Description

### template<typename Output, typename B>
class internal::function_body_leaf< continue_msg, Output, B >

the leaf for function_body specialized for Input of continue_msg

Definition at line 176 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## function_body_leaf()

template<typename Output , typename B >

internal::function_body_leaf< continue_msg, Output, B >::function_body_leaf | ( | const B & | _body | ) |

inline

Definition at line 178 of file _flow_graph_body_impl.h.

: body(_body) { }

## Member Function Documentation

## clone()

template<typename Output , typename B >

function_body_leaf* internal::function_body_leaf< continue_msg, Output, B >::clone | ( |  | ) |

inline virtual

Implements internal::function_body< continue_msg, Output >.

Definition at line 183 of file _flow_graph_body_impl.h.

{
return new function_body_leaf< continue_msg, Output, B >(body);
}

References internal::function_body_leaf< Input, Output, B >::body.

## get_body()

template<typename Output , typename B >

B internal::function_body_leaf< continue_msg, Output, B >::get_body | ( |  | ) |

inline

Definition at line 182 of file _flow_graph_body_impl.h.

{ return body; }

References internal::function_body_leaf< Input, Output, B >::body.

## operator()()

template<typename Output , typename B >

Output internal::function_body_leaf< continue_msg, Output, B >::operator() | ( | const continue_msg & | i | ) |

inline virtual

Implements internal::function_body< continue_msg, Output >.

Definition at line 179 of file _flow_graph_body_impl.h.

{
return body(i);
}

References internal::function_body_leaf< Input, Output, B >::body.

## Member Data Documentation

## body

template<typename Output , typename B >

B internal::function_body_leaf< continue_msg, Output, B >::body

private

Definition at line 187 of file _flow_graph_body_impl.h.

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

internal::function_body_leaf< continue_msg, Output, B >::body
B body
Definition: _flow_graph_body_impl.h:187

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.